## ros-crystal-ecl-config 1.0.1

=== CMakeLists.txt ===
##############################################################################
# Cmake
##############################################################################

cmake_minimum_required(VERSION 3.5)
project(ecl_config)

##############################################################################
# Find Packages
##############################################################################

find_package(ament_cmake_ros REQUIRED)
find_package(ecl_build REQUIRED)

##############################################################################
# Project Configuration
##############################################################################

file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/include)

ecl_enable_cxx14_compiler()

ecl_detect_platform()

##############################################################################
# Header Library Targets
##############################################################################

add_library(${PROJECT_NAME} INTERFACE)

target_include_directories(
  ${PROJECT_NAME}
  INTERFACE
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
    $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>
    $<INSTALL_INTERFACE:include>
)

install(TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME}
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
)

##############################################################################
# Sources
##############################################################################

add_subdirectory(include)
add_subdirectory(src)

##############################################################################
# Exports
##############################################################################

ament_export_interfaces(${PROJECT_NAME})
ament_package()

=== src/test/CMakeLists.txt ===
###############################################################################
# Macro
###############################################################################

macro(ecl_config_add_gtest test_name)
  ament_add_gtest(ecl_test_${test_name} ${test_name}.cpp)
  # If we don't have gtest installed, then the target doesn't get made - check!
  if(TARGET ecl_test_${test_name})
      target_link_libraries(ecl_test_${test_name} ${PROJECT_NAME})
  endif()
endmacro()

###############################################################################
# Tests
###############################################################################

ecl_config_add_gtest(char_sign)
ecl_config_add_gtest(endianness)
ecl_config_add_gtest(portable_types)

=== debian/changelog ===
ros-crystal-ecl-config (1.0.1-0bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 01 Jan 2019 15:39:23 -0000

ros-crystal-ecl-config (0.61.4-0bionic) bionic; urgency=high

  * macro for use with checking for CXX11

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 10 Jan 2016 05:00:00 -0000

ros-crystal-ecl-config (0.61.3-0bionic) bionic; urgency=high

  * deprecation macro for clang.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 06 Jan 2016 05:00:00 -0000

ros-crystal-ecl-config (0.60.1-0bionic) bionic; urgency=high

  * update to catkin's CFG_EXTRAS for easy to find cmake modules.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 29 Jan 2014 05:00:00 -0000

=== debian/control ===
Source: ros-crystal-ecl-config
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-ament-cmake-gtest, ros-crystal-ament-cmake-ros, ros-crystal-ament-lint-auto, ros-crystal-ament-lint-common, ros-crystal-ecl-build, ros-crystal-ecl-license, ros-crystal-ros-workspace
Homepage: http://wiki.ros.org/ecl_config
Standards-Version: 3.9.2

Package: ros-crystal-ecl-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-ecl-build, ros-crystal-ecl-license, ros-crystal-ros-workspace
Description: These tools inspect and describe your system with macros, types and functions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/crystal/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/crystal" \
		-DAMENT_PREFIX_PATH="/opt/ros/crystal"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-crystal-ecl-config//opt/ros/crystal/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_install
